Cantera 2.6.0

Functions
utils.cpp File Reference
`#include "cantera/tpx/utils.h"`
`#include "cantera/base/stringUtils.h"`
`#include "CarbonDioxide.h"`
`#include "Heptane.h"`
`#include "HFC134a.h"`
`#include "Hydrogen.h"`
`#include "Methane.h"`
`#include "Nitrogen.h"`
`#include "Oxygen.h"`
`#include "Water.h"`
Include dependency graph for utils.cpp:

Go to the source code of this file.

## Functions
Substance * | newSubstance (const std::string &name)
| Create a new Substance object corresponding to the specified name. More...
Substance * | GetSub (int isub)

## Function Documentation

## ◆ newSubstance()

Substance * newSubstance | ( | const std::string & | name | ) |

Create a new Substance object corresponding to the specified name.

Definition at line 20 of file utils.cpp.

References tpx::newSubstance(), and Cantera::toLowerCopy().

Referenced by tpx::newSubstance().

## ◆ GetSub()

Substance * GetSub | ( | int | isub | ) |

Definition at line 45 of file utils.cpp.